<?php
namespace Mirasvit\Core\Block\Adminhtml\Cron;

/**
 * Interceptor class for @see \Mirasvit\Core\Block\Adminhtml\Cron
 */
class Interceptor extends \Mirasvit\Core\Block\Adminhtml\Cron implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Cron\Model\ResourceModel\Schedule\CollectionFactory $scheduleCollectionFactory, \Mirasvit\Core\Api\Service\CronServiceInterface $cronService, \Magento\Framework\Stdlib\DateTime\DateTime $dateTime, \Magento\Backend\Block\Template\Context $context, array $data = [])
    {
        $this->___init();
        parent::__construct($scheduleCollectionFactory, $cronService, $dateTime, $context, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
